# $Revision: 1.16 $, $Date: 2006/05/31 12:54:32 $
%define		ocaml_ver	1:3.09.2
Summary:	OpenGL binding for OCaml
Summary(pl):	Wizania OpenGL dla OCamla
Name:		ocaml-gl
Version:	0.9
Release:	11
License:	BSD-like
Group:		Libraries
Source0:	http://dl.sourceforge.net/camlgl/ocamlgl-%{version}.tar.bz2
# Source0-md5:	d4e98e57b5717c758afabb23a357181a
Patch0:		%{name}-X11R6.patch
Patch1:		%{name}-wait_for_event.patch
Patch2:		%{name}-xlibs.patch
URL:		http://camlgl.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	glut-devel
BuildRequires:	ocaml >= %{ocaml_ver}
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding for OpenGL up to 1.4, with NV30 and ATI extensions. Functions
names match exactly C equivalents, constants: GL_BLAH -> cgl_blah. It
is not particularly type safe, but good if already you have OpenGL
experience from other languages.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
Wizania dla OpenGL do wersji 1.4, z rozszerzeniami NV30 oraz ATI.
Nazwy funkcji s dokadnie takie same jak w C, stae: GL_BLAH ->
cgl_blah. Wizanie to nie jest szczeglnie bezpieczne pod wzgldem
typw, ale jest dobre jeli posiadasz ju jakie dowiadczenie z
OpenGL w innych jzykach programowania.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	OpenGL binding for OCaml - development part
Summary(pl):	Wizania OpenGL dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Binding for OpenGL up to 1.4, with NV30 and ATI extensions. Functions
names match exactly C equivalents, constants: GL_BLAH -> cgl_blah. It
is not particularly type safe, but good if already you have OpenGL
experience from other languages.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Wizania dla OpenGL do wersji 1.4, z rozszerzeniami NV30 oraz ATI.
Nazwy funkcji s dokadnie takie same jak w C, stae: GL_BLAH ->
cgl_blah. Wizanie to nie jest szczeglnie bezpieczne pod wzgldem
typw, ale jest dobre jeli posiadasz ju jakie dowiadczenie z
OpenGL w innych jzykach programowania.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n ocamlgl
%patch0 -p1
%patch1 -p1
%patch2

%build
%{__make} -C gl \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make} -C hgl \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"
%{__make} -C glfw \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	X11LIBS="-L/usr/X11R6/%{_lib}"
%{__make} -C glut \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	X11LIBS="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{gl,stublibs}

install lib/*.cm[ixa]* lib/*.a $RPM_BUILD_ROOT%{_libdir}/ocaml/gl
install lib/dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlgl-gl
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlgl-gl/META <<EOF
requires = "bigarray"
version = "%{version}"
directory = "+gl"
archive(byte) = "gl.cma"
archive(native) = "gl.cmxa"
linkopts = ""
EOF

for f in glut hgl glfw ; do
	install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlgl-$f
	cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ocamlgl-$f/META <<EOF
requires = "ocamlgl-gl"
version = "%{version}"
directory = "+gl"
archive(byte) = "$f.cma"
archive(native) = "$f.cmxa"
linkopts = ""
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc LICENSE glfw/license.txt README Announce doc/*
%dir %{_libdir}/ocaml/gl
%{_libdir}/ocaml/gl/*.cm[ixa]*
%{_libdir}/ocaml/gl/*.a
%{_libdir}/ocaml/site-lib/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-gl.spec,v $
Revision 1.16  2006/05/31 12:54:32  glen
- rel 11 (rebuild with ocaml-3.09.2)

Revision 1.15  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.14  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.13  2005/12/10 18:42:58  baggins
- release 8 for ocaml 3.09.0

Revision 1.12  2005/10/11 20:13:52  paszczus
- release up to rebuild with new ocaml

Revision 1.11  2005/05/21 17:20:28  ankry
- rel. 6

Revision 1.10  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.9  2004/08/28 19:15:58  qboosh
- cosmetics, killed invalid _prefix usage

Revision 1.8  2004/08/28 11:01:21  undefine
- patch to allow build on amd64(stupid lib64s ;)
- release 5

Revision 1.7  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.6  2003/09/03 22:47:31  malekith
- release 3 for ocaml 3.07

Revision 1.5  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.4  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/13 20:42:37  malekith
- release 2
- wait_for_event patch added

Revision 1.1  2003/02/03 11:24:09  malekith
- from scratch
